Summary: Crash Dump Data Collector
Name: crashdc
Version: 0.5
Release: 5
License: GPL
URL: http://crashdc.sourceforge.net/
Group: System/Admin
#Copyright: 2000-2009 Hewlett-Packard Development Company, L.P
Packager: Louis Bouchard <louis.bouchard@hp.com>
#
# Source Section
#
Source0: http://crashdc.sourceforge.net/snapshot/crashdc-noarch-0.5.tar.gz
#
# Patch Section

BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: crash
Provides: crashdc

%description
crashdc uses the crash command to gather information about a crash dump
(vmcore) and generates a text file from it. The command can be  invoked
either  interactively  to  parse existing crash dump files or it can be
used automatically upon creation of a new vmcore file.

%prep
%setup -q -n crashdc-noarch-0.5

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man7
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
cp $RPM_BUILD_DIR/crashdc-noarch-0.5/usr/share/man/man5/crashdc.5.gz $RPM_BUILD_ROOT/usr/share/man/man5
cp $RPM_BUILD_DIR/crashdc-noarch-0.5/usr/share/man/man7/crashdc.7.gz $RPM_BUILD_ROOT/usr/share/man/man7
cp $RPM_BUILD_DIR/crashdc-noarch-0.5/usr/share/man/man8/crashdc.8.gz $RPM_BUILD_ROOT/usr/share/man/man8
cp $RPM_BUILD_DIR/crashdc-noarch-0.5/usr/bin/run-crashdc-rhel5.sh $RPM_BUILD_ROOT/usr/bin
cp $RPM_BUILD_DIR/crashdc-noarch-0.5/usr/bin/run-crashdc-sles10.sh $RPM_BUILD_ROOT/usr/bin
cp $RPM_BUILD_DIR/crashdc-noarch-0.5/usr/bin/run-crashdc-sles11.sh $RPM_BUILD_ROOT/usr/bin
cp $RPM_BUILD_DIR/crashdc-noarch-0.5/usr/bin/crashdc $RPM_BUILD_ROOT/usr/bin
cp $RPM_BUILD_DIR/crashdc-noarch-0.5/etc/sysconfig/crashdc.rhel5 $RPM_BUILD_ROOT/etc/sysconfig
cp $RPM_BUILD_DIR/crashdc-noarch-0.5/etc/sysconfig/crashdc.sles10 $RPM_BUILD_ROOT/etc/sysconfig
cp $RPM_BUILD_DIR/crashdc-noarch-0.5/etc/sysconfig/crashdc.sles11 $RPM_BUILD_ROOT/etc/sysconfig
cp $RPM_BUILD_DIR/crashdc-noarch-0.5/etc/init.d/crashdc $RPM_BUILD_ROOT/etc/init.d

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/sysconfig/crashdc.rhel5
%config /etc/sysconfig/crashdc.sles10
%config /etc/sysconfig/crashdc.sles11
%attr (750,root,root) /usr/bin/crashdc
%attr (750,root,root) /usr/bin/run-crashdc-rhel5.sh
%attr (750,root,root) /usr/bin/run-crashdc-sles10.sh
%attr (750,root,root) /usr/bin/run-crashdc-sles11.sh
%attr (750,root,root) /etc/init.d/crashdc
%attr (644,root,root)  /usr/share/man/man5/crashdc.5.gz
%attr (644,root,root)  /usr/share/man/man7/crashdc.7.gz
%attr (644,root,root)  /usr/share/man/man8/crashdc.8.gz
%doc INSTALL
%doc README
%changelog
* Thu Jan 28 2010 Louis Bouchard <louis.bouchard@hp.com> 0.54
- Added init.d script for manual generation
- Implemented CUSTOM mode
* Fri Jan 15 2010 Louis Bouchard <louis.bouchard@hp.com> 0.5
- Version tested on 3 kernel types on RHEL5, SLES10
* Thu Jan 07 2010 Louis Bouchard <louis.bouchard@hp.com> 0.5
- Version tested on 3 kernel types on RHEL5
* Thu Nov 26 2009 Louis Bouchard <louis.bouchard@hp.com> 0.3
- Changed Copyright for GPLv2 only and added header to each file
* Wed Oct 21 2009 Louis Bouchard <louis.bouchard@hp.com> 0.1
- First roughly working version (tested on RHEL5)
